Module ij
Package ij

# Class Executer

java.lang.Object
ij.Executer

All Implemented Interfaces:
  `Runnable`

public class Executer extends Object implements Runnable
Runs ImageJ menu commands in a separate thread.

## Constructor Summary

Constructors
Constructor
Description
`Executer(String cmd)`
Create an Executer to run the specified menu command in this thread using the active image.
`Executer(String cmd, ImagePlus imp)`
Create an Executer that runs the specified menu command in a separate thread using the specified image, or using the active image if 'imp' is null.

## Method Summary

Modifier and Type
Method
Description
`static void`
`addCommandListener(CommandListener listener)`
Adds the specified command listener.
`static String`
`getCommand()`
Returns the last command executed.
`static int`
`getListenerCount()`
`static boolean`
`loadLut(String name)`
Opens a .lut file from the ImageJ/luts directory and returns 'true' if successful.
`static void`
`removeCommandListener(CommandListener listener)`
Removes the specified command listener.
`void`
`run()`
`static void`
`setAsRepeatCommand(String cmd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Executer

public Executer(String cmd)
Create an Executer to run the specified menu command in this thread using the active image.

### Executer

public Executer(String cmd, ImagePlus imp)
Create an Executer that runs the specified menu command in a separate thread using the specified image, or using the active image if 'imp' is null.

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### loadLut

public static boolean loadLut(String name)
Opens a .lut file from the ImageJ/luts directory and returns 'true' if successful.

### getCommand

public static String getCommand()
Returns the last command executed. Returns null if no command has been executed.

### setAsRepeatCommand

public static void setAsRepeatCommand(String cmd)

### addCommandListener

public static void addCommandListener(CommandListener listener)
Adds the specified command listener.

### removeCommandListener

public static void removeCommandListener(CommandListener listener)
Removes the specified command listener.

### getListenerCount

public static int getListenerCount()